Functions | Variables

# goal_sl.cpp File Reference

Code handling saving and loading of goals. More...

`#include "../stdafx.h"`
`#include "../goal_base.h"`
`#include "saveload.h"`

Go to the source code of this file.

## Functions
static void | Save_GOAL ()
static void | Load_GOAL ()
## Variables
static const SaveLoad | _goals_desc []
const ChunkHandler | _goal_chunk_handlers []

## Detailed Description

Code handling saving and loading of goals.

Definition in file goal_sl.cpp.

## Variable Documentation

const ChunkHandler _goal_chunk_handlers[]

Initial value:

     {
      { 'GOAL', Save_GOAL, Load_GOAL, NULL, NULL, CH_ARRAY | CH_LAST},
    }

const SaveLoad _goals_desc[]`[static]`

Initial value:

     {
          SLE_VAR(Goal, company, SLE_UINT16),
          SLE_VAR(Goal, type,    SLE_UINT16),
          SLE_VAR(Goal, dst,     SLE_UINT32),
          SLE_STR(Goal, text,    SLE_STR | SLF_ALLOW_CONTROL, 0),

    }

Definition at line 17 of file goal_sl.cpp.